# Supplementary Material Explanation

## Included Files
The following files are included in this Supplementary Material.

### File: 1-selected_excluded_repositories.xlsx

It includes a list of _selected and excluded repositories_, previously described in the manuscript. This includes the 432 packages scouted, and the 53 excluded (see Table 1 in the manuscript). This is also shared to mitigate the threats to the validity caused by relying on GitHub's _best match_ sorting (discussed in Section 6). The commit used to mine the repositories has always been the `master` branch prior to November 2020.

### File: 2-segments-???.xlsx

These are three spreadsheets with the samples categorised as described in Section 3.4. Only the resulting categorisations (after finalising _Phase 5_) are presented here. The files are:

- Description: 2-segments-description.xlsx
- Parameters: 2-segments-parameters.xlsx
- Returns: 2-segments-return.xlsx

 
### File: 3-taxonomy_documentation.pdf

The taxonomy is presented in a structured document as part of the Supplementary Material. We are aware the manuscript is not self-contained, but given its length and level of detail, it was not possible to fit the taxonomy documentation in the manuscript. As discussed in Section 4, this is not exclusive (some directives belong to multiple categories) and we did not explore tags used for R's OO capabilities (namely, the S3, S4 and R6 systems). Each _directive_ is presented in the Supplementary Material using the same pattern proposed by Monperrus et al., (2012) [1], including: name, definition, discussion, examples, good practices and anti-patterns. This document also includes graphs and explanations of the relationships found and conditions.


### File: 4-directive_counts_frequencies.xlsx
Regarding the taxonomy, we are also providing the complete frequency and count calculation, that supports the discussion of Section 4.3, and are limited by the relationships discussed in Section 4.2.


## References

[1] Monperrus, M., Eichberg, M., Tekes, E. et al. What should developers be aware of? An empirical study on the directives of API documentation. _Empir Software Eng_ 17, 703–737 (2012). [https://doi.org/10.1007/s10664-011-9186-4](https://doi.org/10.1007/s10664-011-9186-4)
